Bug 148441 - [New Port] devel/py-daemon Well-behaved daemon framework for Python
Summary: [New Port] devel/py-daemon Well-behaved daemon framework for Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-07 23:50 UTC by Jesse Kempf
Modified: 2016-04-27 11:41 UTC (History)
3 users (show)

See Also:


Attachments
file.shar (4.31 KB, text/plain)
2010-07-07 23:50 UTC, Jesse Kempf
no flags Details
py-python-daemon.diff (3.16 KB, patch)
2014-12-23 06:58 UTC, Li-Wen Hsu
no flags Details | Diff
py-python-daemon.diff (5.63 KB, patch)
2014-12-23 07:01 UTC, Li-Wen Hsu
no flags Details | Diff
Upgrade to 2.0.5 (3.04 KB, patch)
2015-03-22 13:05 UTC, Alan Hicks
no flags Details | Diff
Poudriere testport (17.95 KB, text/plain)
2015-03-22 13:08 UTC, Alan Hicks
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Kempf 2010-07-07 23:50:03 UTC
Library to implement a well-behaved Unix daemon process.

This library implements the well-behaved daemon specification of PEP 3143,
"Standard daemon process library".

A well-behaved Unix daemon process is tricky to get right, but the required
steps are much the same for every daemon program. A DaemonContext instance holds
the behaviour and configured process environment for the program; use the
instance as a context manager to enter a daemon state.

WWW:    http://pypi.python.org/pypi/python-daemon/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-07-07 23:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Li-Wen Hsu freebsd_committer 2010-07-09 07:50:11 UTC
State Changed
From-To: open->feedback

Doesn't build, log: 
http://people.freebsd.org/~lwhsu/py26-daemon-1.5.5.log  Please fix it, 
thanks!
Comment 3 dfilter service freebsd_committer 2010-07-09 19:59:26 UTC
lwhsu       2010-07-09 18:59:18 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-daemon      Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add py-daemon 1.5.5, well-behaved daemon framework for Python.
  
  PR:             ports/148441
  Submitted by:   jessekempf at gmail.com
  
  Revision  Changes    Path
  1.3983    +1 -0      ports/devel/Makefile
  1.1       +24 -0     ports/devel/py-daemon/Makefile (new)
  1.1       +3 -0      ports/devel/py-daemon/distinfo (new)
  1.1       +11 -0     ports/devel/py-daemon/pkg-descr (new)
  1.1       +29 -0     ports/devel/py-daemon/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Li-Wen Hsu freebsd_committer 2010-07-09 20:00:06 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 5 commit-hook freebsd_committer 2014-12-02 05:03:35 UTC
A commit references this bug:

Author: nivit
Date: Tue Dec  2 05:02:41 UTC 2014
New revision: 373750
URL: https://svnweb.freebsd.org/changeset/ports/373750

Log:
  - Update to 0.3.64
  - Switch to USES= python

  PR:	148441
  Submitted by:	olivierd

Changes:
  head/www/py-pafy/Makefile
  head/www/py-pafy/distinfo
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-02 07:02:22 UTC
Please rename this to py-python-daemon (as per the upstream PyPi name):

https://pypi.python.org/pypi/python-daemon/

'daemon' is a different package and is already registered upstream: 
https://pypi.python.org/pypi/daemon/
Comment 7 Li-Wen Hsu freebsd_committer 2014-12-23 06:58:23 UTC
Created attachment 150898 [details]
py-python-daemon.diff

rename py-daemon to py-python-daemon
Comment 8 Li-Wen Hsu freebsd_committer 2014-12-23 07:01:56 UTC
Created attachment 150899 [details]
py-python-daemon.diff

Rename py-daemon to py-python-daemon
Comment 9 Li-Wen Hsu freebsd_committer 2014-12-23 07:06:18 UTC
jkempf, please review the patch at https://bz-attachments.freebsd.org/attachment.cgi?id=150899 , thanks!
Comment 10 Alan Hicks 2015-03-22 13:05:54 UTC
Created attachment 154654 [details]
Upgrade to 2.0.5

Update to 2.0.5 adds Python 3 capability and new dependency on py-docutils
Comment 11 Alan Hicks 2015-03-22 13:08:55 UTC
Created attachment 154655 [details]
Poudriere testport
Comment 12 Bartek Rutkowski freebsd_committer 2016-04-27 11:41:53 UTC
Seems like this is already completed and there's no action on it for a while, so I'm closing this PR.